* This do file will replicate the results found in Table 1.
* It will also produce the predicted probabilities and confidence
* intervals used to produce Figure 1 and the comparisons discussed
* in the text of the article.
*
* It should be run on the replication file, jcr08.dta

* First model with all controls
xi: probit vote xintmfg2 msensmfg2 xintag2 msensag2 milempl cs1 post63 cs1post63 democrat presparty female college military ircmte i.votenum i.statecd if milresources==1|intervention==1|foreignaid==1, cluster(stateyear) nolog
estat clas

* Effects of manufacturing export orientation
prvalue, x(xintmfg2=0.003 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief
prvalue, x(xintmfg2=0.020 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief

* Effects of manufacturing import sensitivity
prvalue, x(msensmfg2=0.005 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief
prvalue, x(msensmfg2=0.021 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief

* Next, comparison of effects when all controls are excluded
xi: probit vote xintmfg2 msensmfg2 xintag2 msensag2 milempl i.votenum i.statecd if milresources==1|intervention==1|foreignaid==1, cluster(stateyear) nolog
estat clas

* Effects of manufacturing export orientation
prvalue, x(xintmfg2=0.003) rest(mean) brief
prvalue, x(xintmfg2=0.020) rest(mean) brief

* Effects of manufacturing import sensitivity
prvalue, x(msensmfg2=0.005) rest(mean) brief
prvalue, x(msensmfg2=0.021) rest(mean) brief

* Next, model with incorrectly specified ideology
xi: probit vote xintmfg2 msensmfg2 xintag2 msensag2 milempl cs1 democrat presparty female college military ircmte i.votenum i.statecd if milresources==1|intervention==1|foreignaid==1, cluster(stateyear) nolog
estat clas

*Values for graphing ideology before 1964
quietly xi: probit vote xintmfg2 msensmfg2 xintag2 msensag2 milempl cs1 post63 cs1post63 democrat presparty female college military ircmte i.votenum i.statecd if milresources==1|intervention==1|foreignaid==1, cluster(stateyear) nolog
prvalue, x(cs1=-1 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.9 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.8 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.7 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.6 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.5 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.4 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.3 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.2 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.1 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.1 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.2 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.3 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.4 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.5 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.6 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.7 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.8 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.9 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=1 post63=0 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept

*Values for graphing ideology before 1964
prvalue, x(cs1=-1 post63=1 cs1post63=-1 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.9 post63=1 cs1post63=-0.9 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.8 post63=1 cs1post63=-0.8 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.7 post63=1 cs1post63=-0.7 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.6 post63=1 cs1post63=-0.6 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.5 post63=1 cs1post63=-0.5 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.4 post63=1 cs1post63=-0.4 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.3 post63=1 cs1post63=-0.3 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.2 post63=1 cs1post63=-0.2 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=-0.1 post63=1 cs1post63=-0.1 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0 post63=1 cs1post63=0 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.1 post63=1 cs1post63=0.1 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.2 post63=1 cs1post63=0.2 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.3 post63=1 cs1post63=0.3 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.4 post63=1 cs1post63=0.4 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.5 post63=1 cs1post63=0.5 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.6 post63=1 cs1post63=0.6 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.7 post63=1 cs1post63=0.7 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.8 post63=1 cs1post63=0.8 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=0.9 post63=1 cs1post63=0.9 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept
prvalue, x(cs1=1 post63=1 cs1post63=1 presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief ept

* Comparisons of the effects of the control variables
* Modal category: College educated Democratic men with military experience from opposition party
prvalue, x(presparty=0 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief

* Republicans, under modal circumstances
prvalue, x(presparty=0 female=0 college=1 military=1 democrat=0 ircmte=0) rest(mean) brief

* Men from president's party
prvalue, x(presparty=1 female=0 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief

* Women 
prvalue, x(presparty=0 female=1 college=1 military=1 democrat=1 ircmte=0) rest(mean) brief

* Men with no college education
prvalue, x(presparty=0 female=0 college=0 military=1 democrat=1 ircmte=0) rest(mean) brief

* Modal category with committee membership
prvalue, x(presparty=0 female=0 college=1 military=1 democrat=1 ircmte=1) rest(mean) brief
